Skip to content

Intercom API (2.10)

The intercom API reference.

Download OpenAPI description
Languages
Servers
The production API server
https://api.intercom.io/
The european API server
https://api.eu.intercom.io/
The australian API server
https://api.au.intercom.io/

Admins

Everything about your Admins

SchemasOperations

Articles

Everything about your Articles

SchemasOperations

Companies

Everything about your Companies

SchemasOperations

Contacts

Everything about your contacts

SchemasOperations

Conversations

Everything about your Conversations

SchemasOperations

Reply to a conversation

Request

You can reply to a conversation with a message from an admin or on behalf of a contact, or with a note for admins.

Security
bearerAuth
Path
idstringrequired

The Intercom provisioned identifier for the conversation or the string "last" to reply to the last part of the conversation

Example: 123 or "last"
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
Bodyapplication/json
One of:
One of:

Payload of the request to reply on behalf of a contact using their intercom_user_id

intercom_user_idstringrequired

The identifier for the contact as given by Intercom.

attachment_filesArray of objects(Conversation attachment files)

A list of files that will be added as attachments.

message_typestringrequired
Value"comment"
typestringrequired
Value"user"
bodystringrequired

The text body of the comment.

attachment_urlsArray of strings(uri)(Attachment URLs)<= 10 items

A list of image URLs that will be added as attachments. You can include up to 10 URLs.

curl -i -X POST \
  'https://api.intercom.io/conversations/123 or "last"/reply' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.10' \
  -d '{
    "message_type": "comment",
    "type": "user",
    "intercom_user_id": "6657aca96abd0166b52ae27d",
    "body": "Thanks again :)"
  }'

Responses

User last conversation reply

Bodyapplication/json
typestring

Always conversation.

Example: "conversation"
idstring

The id representing the conversation.

Example: "1295"
titlestring or null

The title given to the conversation.

Example: "Conversation Title"
created_atinteger(date-time)

The time the conversation was created.

Example: 1663597223
updated_atinteger(date-time)

The last time the conversation was updated.

Example: 1663597260
waiting_sinceinteger or null(date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
snoozed_untilinteger or null(date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example: true
statestring

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
readboolean

Indicates whether a conversation has been read.

Example: true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
admin_assignee_idinteger or null

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
team_assignee_idstring or null

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

Response
application/json
{ "type": "conversation", "id": "507", "created_at": 1717021865, "updated_at": 1717021866, "waiting_since": 1717021866, "snoozed_until": null, "source": { "type": "conversation", "id": "403918336", "delivered_as": "admin_initiated", "subject": "", "body": "<p>this is the message body</p>", "author": {}, "attachments": [], "url": null, "redacted": false }, "contacts": { "type": "contact.list", "contacts": [] }, "first_contact_reply": { "created_at": 1717021866, "type": "conversation", "url": null }, "admin_assignee_id": null, "team_assignee_id": null, "open": true, "state": "open", "read": false, "tags": { "type": "tag.list", "tags": [] }, "priority": "not_priority", "sla_applied": null, "statistics": null, "conversation_rating": null, "teammates": null, "title": null, "topics": {}, "ticket": null, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "conversation_parts": { "type": "conversation_part.list", "conversation_parts": [], "total_count": 2 } }

Manage a conversation

Request

For managing conversations you can:

  • Close a conversation
  • Snooze a conversation to reopen on a future date
  • Open a conversation which is snoozed or closed
  • Assign a conversation to an admin and/or team.
Security
bearerAuth
Path
idstringrequired

The identifier for the conversation as given by Intercom.

Example: 123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
Bodyapplication/json
One of:

Payload of the request to close a conversation

message_typestringrequired
Value"close"
Example: "close"
typestringrequired
Value"admin"
Example: "admin"
admin_idstringrequired

The id of the admin who is performing the action.

Example: "12345"
bodystring

Optionally you can leave a message in the conversation to provide additional context to the user and other teammates.

Example: " This conversation is now closed!"
curl -i -X POST \
  https://api.intercom.io/conversations/123/parts \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.10' \
  -d '{
    "message_type": "close",
    "type": "admin",
    "admin_id": 991268003,
    "body": "Goodbye :)"
  }'

Responses

Assign a conversation

Bodyapplication/json
typestring

Always conversation.

Example: "conversation"
idstring

The id representing the conversation.

Example: "1295"
titlestring or null

The title given to the conversation.

Example: "Conversation Title"
created_atinteger(date-time)

The time the conversation was created.

Example: 1663597223
updated_atinteger(date-time)

The last time the conversation was updated.

Example: 1663597260
waiting_sinceinteger or null(date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
snoozed_untilinteger or null(date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example: true
statestring

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
readboolean

Indicates whether a conversation has been read.

Example: true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
admin_assignee_idinteger or null

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
team_assignee_idstring or null

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

Response
application/json
{ "type": "conversation", "id": "514", "created_at": 1717021878, "updated_at": 1717021879, "waiting_since": null, "snoozed_until": null, "source": { "type": "conversation", "id": "403918343", "delivered_as": "admin_initiated", "subject": "", "body": "<p>this is the message body</p>", "author": {}, "attachments": [], "url": null, "redacted": false }, "contacts": { "type": "contact.list", "contacts": [] }, "first_contact_reply": null, "admin_assignee_id": null, "team_assignee_id": null, "open": false, "state": "closed", "read": false, "tags": { "type": "tag.list", "tags": [] }, "priority": "not_priority", "sla_applied": null, "statistics": null, "conversation_rating": null, "teammates": null, "title": null, "topics": {}, "ticket": null, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "conversation_parts": { "type": "conversation_part.list", "conversation_parts": [], "total_count": 1 } }

Run Assignment Rules on a conversation

Request

Deprecation of Run Assignment Rules

Run assignment rules is now deprecated in version 2.12 and future versions and will be permanently removed on December 31, 2026. After this date, any requests made to this endpoint will fail.

You can let a conversation be automatically assigned following assignment rules.

When using workflows

It is not possible to use this endpoint with Workflows.

Security
bearerAuth
Path
idstringrequired

The identifier for the conversation as given by Intercom.

Example: 123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.10
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.10
curl -i -X POST \
  https://api.intercom.io/conversations/123/run_assignment_rules \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.10'

Responses

Assign a conversation using assignment rules

Bodyapplication/json
typestring

Always conversation.

Example: "conversation"
idstring

The id representing the conversation.

Example: "1295"
titlestring or null

The title given to the conversation.

Example: "Conversation Title"
created_atinteger(date-time)

The time the conversation was created.

Example: 1663597223
updated_atinteger(date-time)

The last time the conversation was updated.

Example: 1663597260
waiting_sinceinteger or null(date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
snoozed_untilinteger or null(date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example: true
statestring

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
readboolean

Indicates whether a conversation has been read.

Example: true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
admin_assignee_idinteger or null

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
team_assignee_idstring or null

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

Response
application/json
{ "type": "conversation", "id": "529", "created_at": 1717021895, "updated_at": 1717021896, "waiting_since": null, "snoozed_until": null, "source": { "type": "conversation", "id": "403918352", "delivered_as": "admin_initiated", "subject": "", "body": "<p>this is the message body</p>", "author": {}, "attachments": [], "url": null, "redacted": false }, "contacts": { "type": "contact.list", "contacts": [] }, "first_contact_reply": null, "admin_assignee_id": null, "team_assignee_id": null, "open": false, "state": "closed", "read": false, "tags": { "type": "tag.list", "tags": [] }, "priority": "not_priority", "sla_applied": null, "statistics": null, "conversation_rating": null, "teammates": null, "title": null, "topics": {}, "ticket": null, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "conversation_parts": { "type": "conversation_part.list", "conversation_parts": [], "total_count": 1 } }

Data Attributes

Everything about your Data Attributes

SchemasOperations

Data Events

Everything about your Data Events

SchemasOperations

Data Export

Everything about your Data Exports

SchemasOperations

Help Center

Everything about your Help Center

SchemasOperations

Messages

Everything about your messages

SchemasOperations

News

Everything about your News

SchemasOperations

Notes

Everything about your Notes

SchemasOperations

Segments

Everything about your Segments

SchemasOperations

Subscription Types

Everything about subscription types

SchemasOperations

Switch

Everything about Switch

Operations

Tags

Everything about tags

SchemasOperations

Teams

Everything about your Teams

SchemasOperations

Ticket Type Attributes

Everything about your ticket type attributes

Operations

Ticket Types

Everything about your ticket types

Operations

Tickets

Everything about your tickets

SchemasOperations

Visitors

Everything about your Visitors

Operations

Models

Schemas